Clanbite Social Kit clanbite-social-kit/v1
GET | POST /wp-json/clanbite-social-kit/v1/friendshipsGET
List friend requests or accepted friendships.
Access is checked by require_login().
| Argument | Type | Default | Description |
|---|---|---|---|
box | string | incoming | incoming, outgoing, or accepted. One of incoming, outgoing, accepted |
Handled by get_friendships()
POST
Send a friend request to another user.
Access is checked by require_login().
Handled by create_friend_request()
Example
curl -X GET 'https://example.com/wp-json/clanbite-social-kit/v1/friendships'Defined in inc/Rest/Rest_Controller.php